package com.gh.gamecenter.gamedetail.rating

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.common.constant.EntranceConsts
import com.gh.gamecenter.feature.entity.GameEntity

class RatingFoldActivity : ToolBarActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setNavigationTitle("折叠评价")
    }

    companion object {
        @JvmStatic
        fun getIntent(context: Context, game: GameEntity, entrance: String, path: String): Intent {
            val bundle = Bundle()
            bundle.putParcelable(GameEntity.TAG, game)
            bundle.putString(EntranceConsts.KEY_ENTRANCE, mergeEntranceAndPath(entrance, path))
            bundle.putSerializable(EntranceConsts.KEY_LOCATION, RatingViewModel.RatingType.FOLD_RATING)
            return getTargetIntent(context, RatingFoldActivity::class.java, RatingFragment::class.java, bundle)
        }
    }
}